import { SvgIconProps } from "../../app/types/types";


export function ParcSidebarIcon(props: SvgIconProps) {
  return (
    <svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg" {...props}>
      <path
        d="M8.6665 4.6665C7.4165 4.6665 6.35238 5.17126 5.66911 5.93994C4.98584 6.70862 4.6665 7.69428 4.6665 8.6665C4.6665 9.63873 4.98584 10.6244 5.66911 11.3931C6.35238 12.1617 7.4165 12.6665 8.6665 12.6665C9.9165 12.6665 10.9806 12.1617 11.6639 11.3931C12.3472 10.6244 12.6665 9.63873 12.6665 8.6665C12.6665 7.69428 12.3472 6.70862 11.6639 5.93994C10.9806 5.17126 9.9165 4.6665 8.6665 4.6665ZM23.3332 4.6665C22.0832 4.6665 21.019 5.17126 20.3358 5.93994C19.6525 6.70862 19.3332 7.69428 19.3332 8.6665C19.3332 9.63873 19.6525 10.6244 20.3358 11.3931C21.019 12.1617 22.0832 12.6665 23.3332 12.6665C24.5832 12.6665 25.6473 12.1617 26.3306 11.3931C27.0138 10.6244 27.3332 9.63873 27.3332 8.6665C27.3332 7.69428 27.0138 6.70862 26.3306 5.93994C25.6473 5.17126 24.5832 4.6665 23.3332 4.6665ZM8.6665 6.6665C9.4165 6.6665 9.85238 6.91175 10.1691 7.26807C10.4858 7.62438 10.6665 8.13873 10.6665 8.6665C10.6665 9.19428 10.4858 9.70862 10.1691 10.0649C9.85238 10.4213 9.4165 10.6665 8.6665 10.6665C7.9165 10.6665 7.48063 10.4213 7.1639 10.0649C6.84717 9.70862 6.6665 9.19428 6.6665 8.6665C6.6665 8.13873 6.84717 7.62438 7.1639 7.26807C7.48063 6.91175 7.9165 6.6665 8.6665 6.6665ZM23.3332 6.6665C24.0832 6.6665 24.519 6.91175 24.8358 7.26807C25.1525 7.62438 25.3332 8.13873 25.3332 8.6665C25.3332 9.19428 25.1525 9.70862 24.8358 10.0649C24.519 10.4213 24.0832 10.6665 23.3332 10.6665C22.5832 10.6665 22.1473 10.4213 21.8306 10.0649C21.5138 9.70862 21.3332 9.19428 21.3332 8.6665C21.3332 8.13873 21.5138 7.62438 21.8306 7.26807C22.1473 6.91175 22.5832 6.6665 23.3332 6.6665ZM15.9998 11.3332C14.7498 11.3332 13.6857 11.8379 13.0024 12.6066C12.3192 13.3753 11.9998 14.3609 11.9998 15.3332C11.9998 16.3054 12.3192 17.2911 13.0024 18.0597C13.6857 18.8284 14.7498 19.3332 15.9998 19.3332C17.2498 19.3332 18.314 18.8284 18.9972 18.0597C19.6805 17.2911 19.9998 16.3054 19.9998 15.3332C19.9998 14.3609 19.6805 13.3753 18.9972 12.6066C18.314 11.8379 17.2498 11.3332 15.9998 11.3332ZM15.9998 13.3332C16.7498 13.3332 17.1857 13.5784 17.5024 13.9347C17.8192 14.2911 17.9998 14.8054 17.9998 15.3332C17.9998 15.8609 17.8192 16.3753 17.5024 16.7316C17.1857 17.0879 16.7498 17.3332 15.9998 17.3332C15.2498 17.3332 14.814 17.0879 14.4972 16.7316C14.1805 16.3753 13.9998 15.8609 13.9998 15.3332C13.9998 14.8054 14.1805 14.2911 14.4972 13.9347C14.814 13.5784 15.2498 13.3332 15.9998 13.3332ZM4.99984 13.9998C3.71317 13.9998 2.6665 15.0465 2.6665 16.3332V17.9998C2.6665 20.2398 5.29984 21.9998 8.6665 21.9998H8.80713C9.10713 20.9265 9.89275 20.053 10.9061 19.6196C10.2728 19.853 9.5065 19.9998 8.6665 19.9998C6.37984 19.9998 4.6665 18.9465 4.6665 17.9998V16.3332C4.6665 16.1465 4.81317 15.9998 4.99984 15.9998H10.7069C10.6802 15.7798 10.6665 15.5598 10.6665 15.3332C10.6665 14.8732 10.7265 14.4265 10.8332 13.9998H4.99984ZM21.1665 13.9998C21.2732 14.4265 21.3332 14.8732 21.3332 15.3332C21.3332 15.5598 21.3195 15.7798 21.2928 15.9998H26.9998C27.1865 15.9998 27.3332 16.1465 27.3332 16.3332V17.9998C27.3332 18.9465 25.6198 19.9998 23.3332 19.9998C22.4932 19.9998 21.7269 19.853 21.0936 19.6196C22.1069 20.053 22.8925 20.9265 23.1925 21.9998H23.3332C26.6998 21.9998 29.3332 20.2398 29.3332 17.9998V16.3332C29.3332 15.0465 28.2865 13.9998 26.9998 13.9998H21.1665ZM12.3332 20.6665C11.0565 20.6665 9.99984 21.7232 9.99984 22.9998V24.6665C9.99984 25.9453 10.8531 26.9873 11.9504 27.6457C13.0476 28.304 14.457 28.6665 15.9998 28.6665C17.5427 28.6665 18.9521 28.304 20.0493 27.6457C21.1466 26.9873 21.9998 25.9453 21.9998 24.6665V22.9998C21.9998 21.7232 20.9431 20.6665 19.6665 20.6665H12.3332ZM12.3332 22.6665H19.6665C19.8632 22.6665 19.9998 22.8031 19.9998 22.9998V24.6665C19.9998 25.0444 19.7331 25.5034 19.0207 25.9308C18.3082 26.3583 17.2183 26.6665 15.9998 26.6665C14.7813 26.6665 13.6914 26.3583 12.979 25.9308C12.2666 25.5034 11.9998 25.0444 11.9998 24.6665V22.9998C11.9998 22.8031 12.1365 22.6665 12.3332 22.6665Z"
        fill="#B0BAD3"
      />
    </svg>
  )
}
